Query Storage Device List
Query the storage device list.
Request URL
GET {base_url}/{api_path}/storage/list?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to query storage device list.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of storage devices. |
| storage_list | Array<Storage_Info> | The information of storage devices. |
Storage_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the storage device. |
| name | String | The name of the storage device. |
| type | String | The type of the storage device. |
| status | String | The connection status of the storage device. |
| total | String | The total capacity of the storage device. |
| available | String | The available capacity of the storage device. |
Examples
Request example
GET /openapi/v1.0/storage/list?access_token=0PeFmQIk5q0NtsD5RyjTPPWOAZ7oeom1 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 2,
"storage_list": [
{
"id": 1,
"name": "LOCAL",
"type": "local",
"status": "connected",
"total": "6.14G",
"available": "5.47G"
},
{
"id": 10,
"name": "network drive",
"type": "netdisk",
"status": "connected",
"total": "343.23G",
"available": "100.05G"
}
]
}